{"openapi":"3.1.0","info":{"title":"API for the Integrated Water Level System -- API pour le système intégré des niveaux d'eau","description":"This is the official API for the Integrated Water Level System. All dates are in ISO 8601 format UTC. Please read the documentation carefully before using.\n<br><br>\n<a href=\"https://www.dfo-mpo.gc.ca/terms-avis/terms-conditions-avis-eng.htm\">Terms of service</a>\n<br><br>\n<a href=\"mailto:chsinfo@dfo-mpo.gc.ca\">Contact CHS Info</a>\n<br><br>\n<a href=\"https://www.tides.gc.ca/en/licence-agreement\">License of API</a>\n<br><br><br>\nCeci est l'API officielle pour le système intégré des niveaux d'eau. Toutes les dates sont en format UTC ISO 8601.\nVeuillez lire la documentation attentivement avant utilisation.\n<br><br>\n<a href=\"https://www.dfo-mpo.gc.ca/terms-avis/terms-conditions-avis-fra.htm\">Conditions d'utilisation</a>\n<br><br>\n<a href=\"mailto:chsinfo@dfo-mpo.gc.ca\">Contacter CHS Info</a>\n<br><br>\n<a href=\"https://www.marees.gc.ca/fr/accord-de-licence\">Licence de l'API</a>\n","version":"1.3.1"},"servers":[{"url":"https://api-iwls.dfo-mpo.gc.ca","description":"Generated server url"}],"tags":[{"name":"station statistics","description":"Endpoint to retrieve statistics for a specific station -- Point de terminaison pour obtenir des statistiques en lien avec une station"},{"name":"height-types","description":"Endpoint to retrieve the different height types -- Point de terminaison pour obtenir différents types de hauteurs"},{"name":"tide-tables","description":"Endpoint to retrieve the tide table entries -- Point de terminaison pour obtenir des données provenant des tables des marées."},{"name":"station metadata","description":"Endpoint to retrieve metadata on a specific station -- Point de terminaison pour obtenir les données d'une station spécifique"},{"name":"data","description":"Endpoint to retrieve data from a specific station -- Point de terminaison pour les données d'une station spécifique"},{"name":"stations","description":"Endpoint to retrieve summary information on stations -- Point de terminaison pour obtenir des informations sommaires sur les stations"},{"name":"benchmarks","description":"Endpoint to retrieve benchmarks -- Point de terminaison pour recevoir des repères"},{"name":"phenomena","description":"Endpoint to retrieve the different phenomena -- Point de terminaison pour obtenir les différents phénomènes"},{"name":"time-series-definitions","description":"Endpoint to retrieve the different time series definitions --Point de terminaison pour obtenir les définitions de séries temporelles"}],"paths":{"/api/v1/time-series-definitions":{"get":{"tags":["time-series-definitions"],"summary":"Get all time series definitions -- Obtenir toutes les définitions de séries temporelles","operationId":"getTimeSeriesDefinitions","parameters":[{"name":"code","in":"query","description":"Code of the time series -- Code des séries temporelles","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TimeseriesDefinition"}}}}}}}},"/api/v1/time-series-definitions/{timeSeriesDefinitionId}":{"get":{"tags":["time-series-definitions"],"summary":"Get time series definition by id -- Obtenir les définitions de séries temporelles à l'aide de leurs identifiants","operationId":"getTimeseriesDefinition","parameters":[{"name":"timeSeriesDefinitionId","in":"path","description":"The id of the time series definition -- Identifiant des définitions de séries temporelles","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeseriesDefinition"}}}}}}},"/api/v1/tide-tables":{"get":{"tags":["tide-tables"],"summary":"Find all tide tables -- Obtenir toutes les tables des marées.","operationId":"getTideTables","parameters":[{"name":"type","in":"query","description":"The type of tide table (VOLUME, AREA, SUB_AREA) -- Les types de tables des marées (VOLUME, AREA, SUB_AREA)","required":false,"schema":{"type":"string","enum":["VOLUME","AREA","SUB_AREA"]}},{"name":"parent-tide-table-id","in":"query","description":"The id of the parent tide table -- Identifiant de la table des marées parente","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TideTable"}}}}}}}},"/api/v1/tide-tables/{tideTableId}":{"get":{"tags":["tide-tables"],"summary":"Find a specific tide table -- Obtenir une table des marées spécifique.","operationId":"getTideTable","parameters":[{"name":"tideTableId","in":"path","description":"The id of the tide table -- Identifiant de la table des marées","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TideTable"}}}}}}},"/api/v1/stations":{"get":{"tags":["stations"],"summary":"Find all stations according to the given filters -- Obtenir toutes les stations correspondant aux filtres","operationId":"getStations","parameters":[{"name":"code","in":"query","description":"Code of the station (this is an unique identifier for the station and will overwrite any other query parameter) -- Code de la station (ceci est un identifiant unique pour une station et a préséance sur tout autre paramètre)","required":false,"schema":{"type":"string"}},{"name":"chs-region-code","in":"query","description":"Code of the DFO region (i.e.: PAC, CNA, ATL, QUE) -- Code de région du MPO (par exemple: PAC, CNA, ATL, QUE)","required":false,"schema":{"type":"string","enum":["ATL","QUE","PAC","CNA"]}},{"name":"time-series-code","in":"query","description":"Code of the time series.\n\nRefer to the time-series-definitions endpoint for time-series codes and definitions. --\n\nCode des séries temporelles.\n\nSe référer au point de terminaison time-series-definitions pour les code des séries temporelles et les définitions","required":false,"schema":{"type":"string"}},{"name":"dateStart","in":"query","description":"Keep stations that have data from this date. Start date in ISO 8601 format UTC with time (e.g.: 2023-01-01T00:00:00Z) --\n\nConserve les stations qui ont des données à partir de cette date. Date de départ en format UTC ISO 8601 avec le temps (exemple: 2023-01-01T00:00:00Z)","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"dateEnd","in":"query","description":"Keep stations that have data until this date. End date in ISO 8601 format UTC with time (e.g.: 2023-01-01T00:00:00Z) --\n\nConserve les stations qui ont des données jusqu'à cette date. Date de fin en format UTC ISO 8601 avec le temps (exemple: 2023-01-01T00:00:00Z","required":false,"schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Station"}}}}}}}},"/api/v1/stations/{stationId}":{"get":{"tags":["stations"],"summary":"Find a specific station -- Obtenir une station spécifique","operationId":"getStation","parameters":[{"name":"stationId","in":"path","description":"The id of the station -- Identifiant de la station","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Station"}}}}}}},"/api/v1/stations/{stationId}/stats/calculate-monthly-mean":{"get":{"tags":["station statistics"],"summary":"Calculate the monthly mean -- Calculer la moyenne mensuelle","operationId":"getMonthlyMean","parameters":[{"name":"stationId","in":"path","description":"The id of the station -- Identifiant de la station","required":true,"schema":{"type":"string"}},{"name":"year","in":"query","description":"The year (e.g.: 2019) -- L'année (par exemple: 2019)","required":true,"schema":{"type":"string"}},{"name":"month","in":"query","description":"The month, from 01 to 12 (e.g.: 01) -- Le mois, de 01 à 12 (par exemple: 01)","required":true,"schema":{"type":"string"}},{"name":"timeZone","in":"query","description":"Time Zone used to calculate the monthly mean-- Fuseau horaire utilisé pour calculer la moyenne mensuelle","required":false,"schema":{"type":"string","enum":["UTC","LOCAL"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonthlyMean"}}}}}}},"/api/v1/stations/{stationId}/stats/calculate-daily-means":{"get":{"tags":["station statistics"],"summary":"Calculates daily means following the standard procedure. See more: https://www.tides.gc.ca/en/definitions-content-tides-and-currents#standard-means –- Calculer la moyenne quotidienne selon la procédure standard. Pour plus d’information: https://www.marees.gc.ca/fr/glossaire#moyennes-standard","operationId":"getDailyMeans","parameters":[{"name":"stationId","in":"path","description":"The id of the station -- Identifiant de la station","required":true,"schema":{"type":"string"}},{"name":"from","in":"query","description":"Start date in ISO 8601 format UTC, without time (e.g.: 2019-11-13) -- Date de départ en format UTC ISO 8601, sans le temps (exemple: 2019-11-13)","required":true,"schema":{"type":"string"}},{"name":"to","in":"query","description":"End date in ISO 8601 format UTC without time (e.g.: 2019-11-13). This date is excluded from the result. -- Date de fin en format UTC ISO 8601, sans le temps (exemple: 2019-11-13). Cette date est exclue du résultat.","required":true,"schema":{"type":"string"}},{"name":"timeZone","in":"query","description":"Time Zone used to calculate the daily mean-- Fuseau horaire utilisé pour calculer la moyenne quotidienne","required":false,"schema":{"type":"string","enum":["UTC","LOCAL"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DailyMean_Standard"}}}}}}}},"/api/v1/stations/{stationId}/stats/calculate-daily-means-igld85":{"get":{"tags":["station statistics"],"summary":"Calculates daily means according to the Great Lakes Regulation Board standards. See more: https://www.tides.gc.ca/en/definitions-content-tides-and-currents#igld-means –- Calculer la moyenne quotidienne selon les standards du Conseil de Régulation des Grands Lacs. Pour plus d’information : https://www.marees.gc.ca/fr/glossaire#moyennes-srigl","operationId":"getIgldDailyMean","parameters":[{"name":"stationId","in":"path","description":"The id of the station -- Identifiant de la station","required":true,"schema":{"type":"string"}},{"name":"from","in":"query","description":"Start date in ISO 8601 format EST, without time (e.g.: 2019-11-13) -- Date de départ en format EST ISO 8601, sans le temps (exemple: 2019-11-13)","required":true,"schema":{"type":"string"}},{"name":"to","in":"query","description":"End date in ISO 8601 format EST without time (e.g.: 2019-11-13). This date is excluded from the result. -- Date de fin en format EST ISO 8601, sans le temps (exemple: 2019-11-13). Cette date est exclue du résultat.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DailyMean_IGLD85"}}}}}}}},"/api/v1/stations/{stationId}/metadata":{"get":{"tags":["station metadata"],"summary":"Find a specific station metadata -- Trouver les métadonnées en lien avec une station","operationId":"getStationMetadata","parameters":[{"name":"stationId","in":"path","description":"The id of the station -- Identifiant de la station","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StationMetadata"}}}}}}},"/api/v1/stations/{stationId}/images":{"get":{"tags":["stations"],"summary":"Get all images related to a station -- Toutes les images en lien avec une station","operationId":"getImagesByStation","parameters":[{"name":"stationId","in":"path","description":"Id of a station -- Identifiant de la station","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Image"}}}}}}}},"/api/v1/stations/{stationId}/holdings":{"get":{"tags":["stations"],"summary":"Get all data holdings from station -- Toutes les plages de données d'une stations","operationId":"getDataHoldings","parameters":[{"name":"stationId","in":"path","description":"The id of the station -- Identifiant de la station","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataHolding"}}}}}}}},"/api/v1/stations/{stationId}/data":{"get":{"tags":["data"],"summary":"Find the station time series data according to the given filters -- Trouve la série temporelle d'une station selon les filtres appliqués","operationId":"getData","parameters":[{"name":"stationId","in":"path","description":"The id of the station -- Identifiant de la station","required":true,"schema":{"type":"string"}},{"name":"time-series-code","in":"query","description":"Code of the time series.\n\nRefer to the time-series-definitions endpoint for time series codes and definitions. --\n\nCode de la série temporelle.\n\nSe référer au point de terminaison \"time-series-definitions\" pour les codes de séries temporelles et leurs définitions ","required":false,"schema":{"type":"string","default":"wlo"}},{"name":"from","in":"query","description":"Start date in ISO 8601 format UTC (e.g.: 2019-11-13T19:18:00Z) -- Date de départ en format UTC ISO 8601 (exemple: 2019-11-13T19:18:00Z)","required":true,"schema":{"type":"string"}},{"name":"to","in":"query","description":"End date in ISO 8601 format UTC (e.g.: 2019-11-13T19:18:00Z)\n\nDate range must be within allowed period defined in the time-series-definition -- Date de fin en format UTC ISO 8601 (exemple: 2019-11-13T19:18:00Z)\n\nLa plage de dates doit faire partie de la période permise (définie dans le point de terminaison \"time-series-definitions\")","required":true,"schema":{"type":"string"}},{"name":"resolution","in":"query","description":"Resolution of time series data. Not all resolution are available for every station and every time series.\n\nThe time frame available increases with the resolution, it is equal to a week (7 days) multiplied by the resolution, but the maximum available is 31 days. (a month)\n\ne.g. You can go up to 3 weeks of data with a resolution of 3 minutes and up to 31 days (a month) with a resolution of 60 minutes.\n\nN.B. The time series receiving data at fluctuating intervals, since they do not have any resolution, have a maximum time frame of 1 year. --\n\nRésolution des données de séries temporelles. Toutes les résolutions ne sont pas disponibles pour chaque station et chaque série\ntemporelle. Le bloc de temps augmente avec la résolution. Il est égal à une semaine (7 jours) multiplié par la résolution, mais limité\n à 31 jours (un mois)\n\nPar exemple: il est possible d'afficher 3 semaines de données avec une résolution de 3 minutes, et jusqu'à 31\n jours avec une résolution de 60 minutes.\n\nN.B. Les séries temporelles recevant des données à des intervalles fluctuantes,\npuisqu'elles n'ont pas de résolution, sont soumises à un bloc de temps de 1 an maximum.","required":false,"schema":{"type":"string","default":"ONE_MINUTE","enum":["ALL","ONE_MINUTE","THREE_MINUTES","FIVE_MINUTES","FIFTEEN_MINUTES","SIXTY_MINUTES"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Data"}}}}}}}},"/api/v1/stations/data/latest":{"get":{"tags":["data"],"summary":"Find latest 20 minutes of wlo data for all the stations -- Trouver les dernières 20 minutes de données wlo de toutes les stations","operationId":"getAllLatestData","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Latest"}}}}}}}},"/api/v1/phenomena":{"get":{"tags":["phenomena"],"summary":"Find all phenomena -- Obtenir tous les phénomènes","operationId":"getPhenomena","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Phenomenon"}}}}}}}},"/api/v1/phenomena/{phenomenonId}":{"get":{"tags":["phenomena"],"summary":"Find a specific phenomenon -- Obtenir un phénomène spécifique","operationId":"getPhenomenon","parameters":[{"name":"phenomenonId","in":"path","description":"The id of the phenomenon -- Identifiant du phénomène","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Phenomenon"}}}}}}},"/api/v1/height-types":{"get":{"tags":["height-types"],"summary":"Find all height types -- Trouver tous les types de hauteurs","operationId":"getHeightTypes","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HeightType"}}}}}}}},"/api/v1/height-types/{heightTypeId}":{"get":{"tags":["height-types"],"summary":"Find a specific Height Type -- Trouver un type de hauteur spécifique","operationId":"getHeightType","parameters":[{"name":"heightTypeId","in":"path","description":"The id of the height type -- L'identifiant d'un type de hauteur.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HeightType"}}}}}}},"/api/v1/benchmarks":{"get":{"tags":["benchmarks"],"summary":"Get all benchmarks -- Obtenir tous les repères","operationId":"getBenchmarks","parameters":[{"name":"stationId","in":"query","description":"Id of a station -- Identifiant de la station","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BenchmarkSummary"}}}}}}}},"/api/v1/benchmarks/{benchmarkId}":{"get":{"tags":["benchmarks"],"summary":"Get a benchmark -- Obtenir un repère","operationId":"getBenchmark","parameters":[{"name":"benchmarkId","in":"path","description":"Id of a Benchmark -- Identifiant du repère","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BenchmarkSummary"}}}}}}},"/api/v1/benchmarks/{benchmarkId}/metadata":{"get":{"tags":["benchmarks"],"summary":"Get metadata for a benchmark -- Obtenir les métadonnées d'un repère","operationId":"getBenchmarkMetadata","parameters":[{"name":"benchmarkId","in":"path","description":"Id of a Benchmark - Identifiant du repère","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Benchmark"}}}}}}},"/api/v1/benchmarks/{benchmarkId}/images":{"get":{"tags":["benchmarks"],"summary":"Get all images related to benchmark -- Obtenir toutes les images en lien avec un repère","operationId":"getImagesByBenchmark","parameters":[{"name":"benchmarkId","in":"path","description":"Id of a benchmark -- Identifiant du repère","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Image"}}}}}}}},"/api/v1/benchmarks/{benchmarkId}/elevations":{"get":{"tags":["benchmarks"],"summary":"Get all elevations related to a benchmark -- Obtenir toutes les élévations en lien avec un repère","operationId":"getBenchmarkElevations","parameters":[{"name":"benchmarkId","in":"path","description":"Id of a Benchmark -- Identifiant du repère","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Elevation"}}}}}}}},"/api/v1/benchmarks/{benchmarkId}/elevations/{elevationId}":{"get":{"tags":["benchmarks"],"summary":"Get elevation related to a benchmark -- Obtenir une élévation en lien avec un repère","operationId":"getBenchmarkElevation","parameters":[{"name":"benchmarkId","in":"path","description":"Id of a Benchmark -- Identifiant du repère","required":true,"schema":{"type":"string"}},{"name":"elevationId","in":"path","description":"Id of an elevation -- Identifiant de l'élévation","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Elevation"}}}}}}}},"components":{"schemas":{"TimeseriesDefinition":{"type":"object","properties":{"id":{"type":"string"},"code":{"type":"string"},"descriptionFr":{"type":"string"},"descriptionEn":{"type":"string"},"allowedPeriodInDays":{"type":"integer","format":"int32","description":"Maximum date range allowed when requesting station data for a time series"}}},"TideTable":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["VOLUME","AREA","SUB_AREA"]},"number":{"type":"integer","format":"int32"},"nameFr":{"type":"string"},"nameEn":{"type":"string"},"parentTideTableId":{"type":"string"}}},"Station":{"type":"object","properties":{"id":{"type":"string"},"code":{"type":"string"},"officialName":{"type":"string"},"alternativeName":{"type":"string"},"operating":{"type":"boolean"},"latitude":{"type":"number","format":"double"},"longitude":{"type":"number","format":"double"},"type":{"type":"string","enum":["PERMANENT","SEASONAL","TEMPORARY","VIRTUAL","DISCONTINUED","UNKNOWN"]},"timeSeries":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeries"}}}},"TimeSeries":{"type":"object","properties":{"id":{"type":"string"},"code":{"type":"string"},"nameEn":{"type":"string"},"nameFr":{"type":"string"},"phenomenonId":{"type":"string"},"latitude":{"type":"number","format":"double"},"longitude":{"type":"number","format":"double"},"owner":{"type":"string"}}},"MonthlyMean":{"type":"object","properties":{"monthlyMean":{"type":"number","format":"double"},"reviewed":{"type":"boolean"}}},"DailyMean_Standard":{"type":"object","properties":{"date":{"type":"string","format":"date"},"dailyMean":{"type":"number","format":"double"},"reviewed":{"type":"boolean"}}},"DailyMean_IGLD85":{"type":"object","properties":{"date":{"type":"string","format":"date"},"dailyMean":{"type":"number","format":"double"},"dailyMean_CDIGLD85":{"type":"number","format":"double"},"dailyMean_IGLD85":{"type":"number","format":"double"},"reviewed":{"type":"boolean"}}},"Height":{"type":"object","properties":{"heightTypeId":{"type":"string"},"value":{"type":"number","format":"float"},"valuePrecision":{"type":"integer","format":"int32"},"date":{"type":"string","format":"date"}}},"Organization":{"type":"object","properties":{"id":{"type":"string"},"code":{"type":"string"},"acronymEn":{"type":"string"},"nameEn":{"type":"string"},"acronymFr":{"type":"string"},"nameFr":{"type":"string"}}},"ReferenceDatum":{"type":"object","properties":{"code":{"type":"string","enum":["UNKNOWN","AD","ARBI","CD","CGVD28","CGVD28_HTv2_0","CGVD2013","CDIGLD1955","CDIGLD1985","DPW1908i","DPWD","GEOD","GD","GSC","IGLD1955","MSL","IGLD85","IGLD2020","ITRF14","NAD83_CSRS","NAVD88","SD","USLS1903","USLS1903adj","USLS1935","WGS84"]},"offset":{"type":"number","format":"float"},"offsetPrecision":{"type":"integer","format":"int32"}}},"StationMetadata":{"type":"object","properties":{"id":{"type":"string"},"code":{"type":"string"},"officialName":{"type":"string"},"alternativeNames":{"type":"string"},"establishedYear":{"type":"integer","format":"int32"},"commissioningDate":{"type":"string","format":"date"},"decommissioningDate":{"type":"string","format":"date"},"externalId":{"type":"string"},"latitude":{"type":"number","format":"double"},"longitude":{"type":"number","format":"double"},"type":{"type":"string","enum":["PERMANENT","SEASONAL","TEMPORARY","VIRTUAL","DISCONTINUED","UNKNOWN"]},"status":{"type":"string","enum":["OK","DELAY","MAINTENANCE","INVESTIGATION","OFFLINE"]},"operating":{"type":"boolean"},"expectedProductivityPerHour":{"type":"integer","format":"int64"},"owner":{"type":"string"},"stationOwner":{"$ref":"#/components/schemas/Organization"},"chsRegionCode":{"type":"string","enum":["ATL","QUE","PAC","CNA"]},"provinceCode":{"type":"string","enum":["AB","BC","GRL_DEN","MB","NB","NL","NT","NS","NU","ON","PE","QC","SK","USA","YT"]},"classCode":{"type":"string","enum":["A","B","C"]},"isTidal":{"type":"boolean"},"waterBody":{"type":"string","enum":["LAKE","RIVER","BAY","STRAIT","GULF","INLET"]},"timeZoneCode":{"type":"string"},"tideTableId":{"type":"string"},"isTideTableReferencePort":{"type":"boolean"},"referencePortStationId":{"type":"string"},"tideTypeCode":{"type":"string","enum":["SD","MSD","MD","D"]},"highestHighWaterTimeDifference":{"type":"string"},"lowestLowWaterTimeDifference":{"type":"string"},"floodDirection":{"type":"integer","format":"int32"},"ebbDirection":{"type":"integer","format":"int32"},"timeSeries":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeries"}},"datums":{"type":"array","items":{"$ref":"#/components/schemas/ReferenceDatum"}},"heights":{"type":"array","items":{"$ref":"#/components/schemas/Height"}},"publicNotificationFr":{"type":"string"},"publicNotificationEn":{"type":"string"}}},"Image":{"type":"object","properties":{"id":{"type":"string"},"date":{"type":"string","format":"date"},"type":{"type":"string","enum":["PICTURE","SKETCH"]},"status":{"type":"string","enum":["ACTIVE","HISTORIC"]},"copyright":{"type":"string"},"thumbnailUrl":{"type":"string"},"mediumUrl":{"type":"string"},"originalUrl":{"type":"string"}}},"DataHolding":{"type":"object","properties":{"dateStart":{"type":"string","format":"date-time"},"dateEnd":{"type":"string","format":"date-time"}}},"TimeSeriesDataHolding":{"type":"object","properties":{"timeSeriesId":{"type":"string"},"dataHoldings":{"type":"array","items":{"$ref":"#/components/schemas/DataHolding"}}}},"Data":{"type":"object","properties":{"eventDate":{"type":"string","description":"Date in ISO 8601 format UTC"},"qcFlagCode":{"type":"string","description":"1 = Good, 2 = Not evaluated, 3 = Questionable","enum":["1","2","3"]},"value":{"type":"number","format":"float"},"uncertainty":{"type":"number","format":"float"},"timeSeriesId":{"type":"string"},"reviewed":{"type":"boolean"},"qualifier":{"type":"string","enum":["SLACK","EXTREMA_FLOOD","EXTREMA_EBB","WEAK_AND_VARIABLE"]}}},"Latest":{"type":"object","properties":{"stationId":{"type":"string"},"measurementDTOs":{"type":"array","items":{"$ref":"#/components/schemas/Data"}}}},"Phenomenon":{"type":"object","properties":{"id":{"type":"string"},"code":{"type":"string"},"nameFr":{"type":"string"},"nameEn":{"type":"string"},"unit":{"type":"string"}}},"HeightType":{"type":"object","properties":{"id":{"type":"string"},"code":{"type":"string","enum":["GLCMM","HAT","HHWLT","HRWL","HWL","LAT","LLWLT","LRWL","LWL","MHHW","MHW","MLLW","MLW","MWL"]},"nameFr":{"type":"string"},"nameEn":{"type":"string"},"phenomenonId":{"type":"string"}}},"BenchmarkSummary":{"type":"object","properties":{"id":{"type":"string"},"stationId":{"type":"string"},"benchmarkNumber":{"type":"string"},"uniqueLabel":{"type":"string"},"established":{"type":"integer","format":"int32"},"condition":{"type":"string","enum":["DESTROYED","POSSIBLY_DESTROYED","COVERED","NEW","UNUSABLE","UNSTABLE","DAMAGED","GOOD","INACCESSIBLE","NOT_FOUND","UNKNOWN"]},"latitude":{"type":"number","format":"double"},"longitude":{"type":"number","format":"double"},"activeCDElevation":{"type":"number","format":"float"}}},"Benchmark":{"type":"object","properties":{"id":{"type":"string"},"stationId":{"type":"string"},"benchmarkNumber":{"type":"string"},"uniqueLabel":{"type":"string"},"established":{"type":"integer","format":"int32"},"condition":{"type":"string","enum":["DESTROYED","POSSIBLY_DESTROYED","COVERED","NEW","UNUSABLE","UNSTABLE","DAMAGED","GOOD","INACCESSIBLE","NOT_FOUND","UNKNOWN"]},"latitude":{"type":"number","format":"double"},"longitude":{"type":"number","format":"double"},"coordinateAccuracy":{"type":"string","enum":["HIGH","GOOD","APPROXIMATE","UNKNOWN"]},"lastInspected":{"type":"integer","format":"int32"},"referenceBenchmark":{"type":"boolean"},"verticalDatumCode":{"type":"string","enum":["UNKNOWN","AD","ARBI","CD","CGVD28","CGVD28_HTv2_0","CGVD2013","CDIGLD1955","CDIGLD1985","DPW1908i","DPWD","GEOD","GD","GSC","IGLD1955","MSL","IGLD85","IGLD2020","ITRF14","NAD83_CSRS","NAVD88","SD","USLS1903","USLS1903adj","USLS1935","WGS84"]},"benchmarkOwner":{"$ref":"#/components/schemas/Organization"},"type":{"type":"string","enum":["UNKNOWN","PERMANENT_MARKER","BOLT","ZINC_TABLET","BRONZE_TABLET","COPPER_TABLET","ALUMINUM_SURVEY_MARKER","BOLLARD","TERMINUS_TYPE_MARKER","FIRE_HYDRANT","ENGRAVED_MARK","PAINT_MARK","ROD","NAIL","PIPE","HASP","ANGLE_IRON","CUT_CROSS","CROWSFOOT","OTHER"]},"setting":{"type":"string","enum":["VERTICAL","HORIZONTAL","NA"]},"descriptionEn":{"type":"string"},"descriptionFr":{"type":"string"},"activeCDElevation":{"type":"number","format":"float"}}},"Elevation":{"type":"object","properties":{"id":{"type":"string"},"date":{"type":"string","format":"date"},"elevation":{"type":"number","format":"float"},"verticalDatumCode":{"type":"string","enum":["UNKNOWN","AD","ARBI","CD","CGVD28","CGVD28_HTv2_0","CGVD2013","CDIGLD1955","CDIGLD1985","DPW1908i","DPWD","GEOD","GD","GSC","IGLD1955","MSL","IGLD85","IGLD2020","ITRF14","NAD83_CSRS","NAVD88","SD","USLS1903","USLS1903adj","USLS1935","WGS84"]},"status":{"type":"string","enum":["NEW","ACTIVE","HISTORICAL","INACTIVE"]},"datumEpoch":{"type":"string","format":"date"}}}}}}